from selenium.webdriver import Firefox
from selenium.webdriver.firefox.options import Options
from selenium.webdriver.common.by import By
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC
import time

# Configurar as opções do Firefox
options = Options()
options.headless = False  # Define como True se desejar que o navegador seja invisível

# Inicializar o driver do Firefox
driver = Firefox(options=options)

# Abrir a URL no navegador
driver.get("https://venda-imoveis.caixa.gov.br/sistema/busca-imovel.asp?sltTipoBusca=imoveis")

# Injetar script JavaScript para selecionar a opção pelo ID
script = """
var select = document.getElementById('cmb_estado');
select.value = 'SP'; // Valor da opção que você deseja selecionar
selecionaEstado();
"""
driver.execute_script(script)


time.sleep(2)


# Injetar script JavaScript para selecionar a opção pelo ID
script = """
var select = document.getElementById('cmb_modalidade');
select.value = '33'; // Valor da opção que você deseja 
"""
driver.execute_script(script)

time.sleep(3)


# Injetar script JavaScript para selecionar a opção pelo ID
script = """
var btn = document.getElementById('btn_next0');
btn.click(); 
"""
driver.execute_script(script)


time.sleep(3)


# Injetar script JavaScript para selecionar a opção pelo ID
script = """
var btn = document.getElementById('btn_next1');
btn.click(); 
"""
driver.execute_script(script)

